Package org.apache.sling.cms

## Interface ComponentManager

    @ProviderType
    public interface ComponentManager

A interface for retrieving sling:Component resources and information about the available sling:Components

### Method Summary

All Methods Instance Methods Abstract Methods
`List<Component>` `getAllComponents()` Returns all of the components in Sling CMS with a component type specified.
`Map<String,​List<Component>>` `getComponentsByType()` Returns a Map of the components with a component type specified with the key of the map being the component type and the value being the list of components for that type.
`List<String>` `getComponentTypes()` Returns a list of all of the registered component types

### Method Detail

#### getAllComponents

    List<Component> getAllComponents()

Returns all of the components in Sling CMS with a component type specified.

Returns:
  a list of the components

#### getComponentsByType

    Map<String,​List<Component>> getComponentsByType()

Returns a Map of the components with a component type specified with the key of the map being the component type and the value being the list of components for that type.

Returns:
  the components organized by componentType

#### getComponentTypes

    List<String> getComponentTypes()

Returns a list of all of the registered component types

Returns:
  the list of component types